#!/bin/sh

# $Id: test.sh,v 1.1 2003/01/25 07:27:36 ftobin Exp $

export HOME=.

mykey=260C4FA3
allofmine1=F40EB65E
allofmine2=260C4FA3
subsist=6AC34C49

frank=0x1234ABCD

# Note: don't use tests with spaces or other special chars
# in the middle

testit ()
{
    out=`./salias -f config -d $1`
    test "$out" = "$2" || fail "\n  input: $1\n  expected: $2\n  got:      $out"
}

fail ()
{
    echo -e "failed: $1"
    exit 1;
}


testit "gpg -r mykey --encrypt"  "'gpg' '-r' '$mykey' '--encrypt'"

testit "gpg --recipient allofmine --recipient foo -r bar --encrypt" \
    "'gpg' '--recipient' '$allofmine1' '--recipient' '$allofmine2' '--recipient' 'foo' '-r' 'bar' '--encrypt'"

testit "gpg --default-key mykey --sign" \
    "'gpg' '--default-key' '$mykey' '--sign'"

testit "gpg -r mykey --default-key mykey -r bob --recipient subsist-converse --sign --encrypt" \
    "'gpg' '-r' '$mykey' '--default-key' '$mykey' '-r' 'bob' '--recipient' '$subsist' '--recipient' '$allofmine1' '--recipient' '$allofmine2' '--sign' '--encrypt'"

testit "gpg --remote-user allofmine --recipient foo -r bar --encrypt" \
    "'gpg' '--remote-user' '$allofmine1' '--remote-user' '$allofmine2' '--recipient' 'foo' '-r' 'bar' '--encrypt'"

testit "gpg2 --recipient allofmine --recipient foo -r bar --encrypt" \
    "'gpg2' '--recipient' '$allofmine1' '--recipient' '$allofmine2' '--recipient' 'foo' '-r' 'bar' '--encrypt'"

testit "gpg2 --remote-user allofmine --recipient foo -r bar --encrypt" \
    "'gpg2' '--remote-user' '$allofmine1' '$allofmine2' '--recipient' 'foo' '-r' 'bar' '--encrypt'"

testit "/usr/local/bin/gpg --passphrase-fd 0 -r mykey" \
    "'/usr/local/bin/gpg' '--passphrase-fd' '0' '-r' '$mykey'"

testit "gcc --all-warnings" "'gcc' '-Wall'"
